Package org.apache.sling.cms.core.internal.operations

## Class UpdateReferencesPostOperation

- java.lang.Object
- - org.apache.sling.cms.core.internal.operations.UpdateReferencesPostOperation

All Implemented Interfaces:
  `org.apache.sling.servlets.post.SlingPostProcessor`

    public class UpdateReferencesPostOperation
    extends Object
    implements org.apache.sling.servlets.post.SlingPostProcessor

The `UpdateReferencesPostOperation` class will update all of the references from a resource which is being moved or deleted to another resource.

### Field Summary

Fields
`static String` `RP_UPDATE_REFERENCES`

### Constructor Summary

Constructors
`UpdateReferencesPostOperation()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `process​(org.apache.sling.api.SlingHttpServletRequest request, List<org.apache.sling.servlets.post.Modification> changes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### RP_UPDATE_REFERENCES

    public static final String RP_UPDATE_REFERENCES

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateReferencesPostOperation

    public UpdateReferencesPostOperation()

### Method Detail

#### process

    public void process​(org.apache.sling.api.SlingHttpServletRequest request,
                        List<org.apache.sling.servlets.post.Modification> changes)
                 throws Exception

Specified by:
  `process` in interface `org.apache.sling.servlets.post.SlingPostProcessor`
Throws:
  `Exception`